# Makefile fragment of dazuko support

RANLIB = ranlib
AR = ar
WGET = wget
TARGZ = tar -xzf

DAZUKO_PACKAGE = dazuko-2.0.3
DAZUKO_EXT = tar.gz
DAZUKO_URL = http://www.dazuko.org/files

$(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.o: $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.c $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.h

$(srcdir)/$(DAZUKO_PACKAGE)/dazukoio_compat12.o: $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio_compat12.c $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.h

$(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.a: $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.o $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio_compat12.o
	$(AR) r $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.a $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.o $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio_compat12.o
	$(RANLIB) $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.a

$(srcdir)/$(DAZUKO_PACKAGE).$(DAZUKO_EXT):
	@test -e .dazuko_download && \
	$(WGET) -O $(srcdir)/$(DAZUKO_PACKAGE).$(DAZUKO_EXT) $(DAZUKO_URL)/$(DAZUKO_PACKAGE).$(DAZUKO_EXT) || \
	echo "Skipped package downloading"

$(srcdir)/$(DAZUKO_PACKAGE):
	@cd $(srcdir) && \
	test -e .dazuko_no_download && \
	ln -sf ../.. $(DAZUKO_PACKAGE) || \
	$(TARGZ) $(DAZUKO_PACKAGE).$(DAZUKO_EXT)
	ln -sf $(DAZUKO_PACKAGE) dazuko_src

$(srcdir)/.dazuko_packaged:
	@cd $(srcdir) && \
	test -e ../../dazukoio.c && ( \
	touch $(DAZUKO_PACKAGE).$(DAZUKO_EXT) && \
	touch .dazuko_no_download  ) || \
	touch .dazuko_download
	touch .dazuko_packaged

$(srcdir)/dazuko.c: $(srcdir)/.dazuko_packaged $(srcdir)/$(DAZUKO_PACKAGE).$(DAZUKO_EXT) $(srcdir)/$(DAZUKO_PACKAGE) $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.h $(srcdir)/$(DAZUKO_PACKAGE)/dazukoio.a
